protolabs42

Receive federated signal

Receive a signal from a trusted peer organization. The request must include a valid federation proof (HMAC-SHA256 signature).

POST
/federation/inbound

Receive a signal from a trusted peer organization. The request must include a valid federation proof (HMAC-SHA256 signature).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://chorus.runclaw.run/federation/inbound" \  -H "Content-Type: application/json" \  -d '{    "signal_type": "string",    "content": "string",    "from_identity": "string"  }'
{
  "signal_id": "string",
  "receipt": {
    "signal_id": "string",
    "status": "delivered",
    "timestamp": 0,
    "signature": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}